Retrieve a message's details
curl --request POST \
--url https://api.izap.ai/api/v1/chats/{chat_id}/messages/{message_id} \
--header 'Authorization: Bearer <token>' \
--header 'business-id: <business-id>'import requests
url = "https://api.izap.ai/api/v1/chats/{chat_id}/messages/{message_id}"
headers = {
"business-id": "<business-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'business-id': '<business-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.izap.ai/api/v1/chats/{chat_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"chat_messages": [
{
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"sender": "<string>",
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attachments": [
{
"file_size": 123,
"file_type": "<string>",
"filename": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"error_code": 123,
"error_reason": "<string>",
"message_sid": "<string>",
"no_reply": false,
"receiver": "<string>",
"sender_type": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"user_message": null
}
],
"function_calls": [
{
"arguments": "<string>",
"call_id": "<string>",
"name": "<string>",
"type": "function_call"
}
],
"last_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiver": "<string>",
"reply_group": null,
"resp_id": "<string>",
"user_message": {
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"sender": "<string>",
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attachments": [
{
"file_size": 123,
"file_type": "<string>",
"filename": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"error_code": 123,
"error_reason": "<string>",
"message_sid": "<string>",
"no_reply": false,
"receiver": "<string>",
"sender_type": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"user_message": null
}
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}messages
Retrieve a message's details
Returns one message with its delivery details, optionally including the replies generated in the same exchange. This operation only reads; it uses POST for historical reasons. The business is taken from the business-id header rather than the URL; the path-scoped form of this operation is deprecated.
POST
/
api
/
v1
/
chats
/
{chat_id}
/
messages
/
{message_id}
Retrieve a message's details
Autorizaciones
Personal access token (izap_pat_…) sent as Authorization: Bearer ; dashboard session JWTs are also accepted.
Encabezados
UUID of the business the request is scoped to. Required on this route; the deprecated /businesses/{business_id}/... form takes it from the path instead.
Parámetros de consulta
Respuesta
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes